## libclass-multimethods-perl 1.701

=== debian/changelog ===
libclass-multimethods-perl (1.701-3) unstable; urgency=medium

  [ Debian Janitor ]
  * Apply multi-arch hints. + libclass-multimethods-perl: Add Multi-Arch: foreign.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Thu, 13 Oct 2022 19:25:49 +0100

libclass-multimethods-perl (1.701-2) unstable; urgency=medium

  [ Laurent Baillet ]
  * fix lintian wrong-path-for-interpreter error

  [ Salvatore Bonaccorso ]
  * Update Vcs-* headers for switch to salsa.debian.org

  [ Laurent Baillet ]
  * fix lintian file-contains-trailing-whitespace warning

  [ gregor herrmann ]
  * debian/watch: use uscan version 4.

  [ Debian Janitor ]
  * Bump debhelper from old 9 to 12.
  * Set debhelper-compat version in Build-Depends.

 -- Jelmer Vernooĳ <jelmer@debian.org>  Sat, 11 Jun 2022 22:43:32 +0100

libclass-multimethods-perl (1.701-1.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Thu, 07 Jan 2021 14:15:36 +0100

libclass-multimethods-perl (1.701-1) unstable; urgency=medium

  * New upstream version 1.701
  * Add uversionmangle to ensure three-digit versions
  * Drop hashbang.patch, applied upstream
  * Delete dh_auto_install override, upstream dropped separate .pod file

 -- Florian Schlichting <fsfs@debian.org>  Fri, 25 Nov 2016 18:07:02 +0100

libclass-multimethods-perl (1.70-6) unstable; urgency=medium

  [ gregor herrmann ]
  * Split out changes in the demo scripts into hashbang.patch; add quilt
    framework.
  * Remove debian/libclass-multimethods-perl.* and install docs/examples from
    debian/rules.
  * Refresh debian/rules, no functional changes.
  * Remove execute bit from /usr/share/perl5/Class/Multimethods.pod.
  * Add debian/README.source to document quilt usage, as required by
    Debian Policy since 3.8.0.
  * debian/control: Changed: Switched Vcs-Browser field to ViewSVN
    (source stanza).
  * debian/control: Added: ${misc:Depends} to Depends: field.

  [ Salvatore Bonaccorso ]
  * debian/control: Changed: Replace versioned (build-)dependency on
    perl (>= 5.6.0-{12,16}) with an unversioned dependency on perl (as
    permitted by Debian Policy 3.8.3).

  [ Ansgar Burchardt ]
  * debian/control: Convert Vcs-* fields to Git.

  [ Salvatore Bonaccorso ]
  * Change Vcs-Git to canonical URI (git://anonscm.debian.org)
  * Change search.cpan.org based URIs to metacpan.org based URIs

  [ gregor herrmann ]
  * Strip trailing slash from metacpan URLs.

  [ Salvatore Bonaccorso ]
  * Update Vcs-Browser URL to cgit web frontend
  * debian/control: Use HTTPS transport protocol for Vcs-Git URI

  [ gregor herrmann ]
  * Remove Jay Bonci from Uploaders. Thanks for your work!

  [ Florian Schlichting ]
  * Switch to source format 3.0 (quilt)
  * Use short-form debian/rules
  * Bump dh compat to level 9
  * Convert d/copyright to copyright-format 1.0
  * Forward hashbang.patch
  * Declare compliance with Debian Policy 3.9.8
  * Mention module name in long description
  * Add myself to Uploaders

 -- Florian Schlichting <fsfs@debian.org>  Thu, 24 Nov 2016 22:13:48 +0100

libclass-multimethods-perl (1.70-5) unstable; urgency=low

  [ gregor herrmann ]
  * debian/control: Added: Vcs-Svn field (source stanza); Vcs-Browser
    field (source stanza); Homepage field (source stanza).
  * Set Maintainer to Debian Perl Group.
  * Use dist-based URL in debian/watch.
  * debian/rules: delete /usr/lib/perl5 only if it exists.

  [ Gunnar Wolf ]
  * Bumped up standards-version to 3.7.3
  * Updated debhelper compat version to 5
  * Moved debhelper from b-d-indep to b-d
  * Added myself as an uploader
  * Replaced debian/rules with our more standardized dh-make-perl's version
  * Rewrote debian/copyright to include missing information;
    debian/copyright now in machine-parsable format

 -- Gunnar Wolf <gwolf@debian.org>  Mon, 12 May 2008 13:29:07 -0500

libclass-multimethods-perl (1.70-4) unstable; urgency=low

  * New Maintainer (Closes: #259586)
  * Adds debian/watch file
  * Adds build dependancy on perl per policy
  * Adds dependancy on debhelper 4 (adds debian/compat)
  * Changed to my standard rules template
  * Adds demo files from distribution as examples
  * Adds tutorial.html file from distribution as docs
  * Fixes copyright file to explicate perl license
  * Updates demo files to squash lintian warnings

 -- Jay Bonci <jaybonci@debian.org>  Thu,  9 Sep 2004 05:30:04 -0400

libclass-multimethods-perl (1.70-3) unstable; urgency=low

  * QA Upload.
  * Sect section to perl to agree with override file.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:55:03 -0700

libclass-multimethods-perl (1.70-2) unstable; urgency=low

  * QA Upload.
  * Set maintainer to Debian QA Group <packages@qa.debian.org>.

 -- Thomas Bushnell, BSG <tb@debian.org>  Sat,  7 Aug 2004 18:31:37 -0700

libclass-multimethods-perl (1.70-1) unstable; urgency=low

  * Initial Release.

 -- Sean 'Shaleh' Perry <shaleh@debian.org>  Thu,  8 Feb 2001 23:28:18 -0800
