=== debian/control ===
Source: libclass-multimethods-perl
Maintainer: Debian Perl Group <pkg-perl-maintainers@lists.alioth.debian.org>
Uploaders: Florian Schlichting <fsfs@debian.org>
Section: perl
Testsuite: autopkgtest-pkg-perl
Priority: optional
Build-Depends: debhelper-compat (= 12)
Build-Depends-Indep: perl
Standards-Version: 3.9.8
Vcs-Browser: https://salsa.debian.org/perl-team/modules/packages/libclass-multimethods-perl
Vcs-Git: https://salsa.debian.org/perl-team/modules/packages/libclass-multimethods-perl.git
Homepage: https://metacpan.org/release/Class-Multimethods

Package: libclass-multimethods-perl
Architecture: all
Depends: ${misc:Depends},
         ${perl:Depends}
Multi-Arch: foreign
Description: Support multimethods and subroutine overloading in Perl
 Sometimes Perl's standard polymorphic method dispatch mechanism isn't
 sophisticated enough to cope with the complexities of finding the right
 method to handle a given situation. Class::Multimethods to the rescue!
 .
 Generally speaking, multiple dispatch is needed whenever two or more objects
 belonging to different class hierarchies are going to interact, and there are
 different things that need to be done depending on the combination of the
 actual types of those objects. Typical applications that need this kind of
 ability include graphical user interfaces, image processing libraries,
 mixed-precision numerical computation systems, and most types of simulations.
