=== debian/watch ===
version=4
opts=uversionmangle=s/\.\d\d$/$&0/ \
https://metacpan.org/release/Class-Multimethods .*/Class-Multimethods-([[:digit:]].*)\.tar\.gz
